Name:           kwalletcli
Version:        3.03
Release:        1%{?dist}
Summary:        CLI for the KDE Wallet

License:        MirOS
URL:            https://www.mirbsd.org/kwalletcli.htm
Source0:        https://www.mirbsd.org/MirOS/dist/hosted/kwalletcli/kwalletcli-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  kf5-kcoreaddons-devel
BuildRequires:  kf5-ki18n-devel
BuildRequires:  kf5-kwallet-devel

%description
A command-line interface to the KDE Wallet, for KDE 4 and KF5 (so shell
scripts, Python, etc. do not need to use DCOP or D-Bus directly to access it
to store passwords, instead being able to call this convenient wrapper). KF5
does come with a kwallet-query utility, however, it requires the caller to
know the name of the default wallet, which most scripts won't know, and lacks
kwalletcli's extra utilities.

%prep
%setup -q -n %{name}

sed -i -e 's,/usr/bin/env ,/bin/,' *kwallet*

%build
make %{?_smp_mflags} KDE_VER=5 CFLAGS="%{optflags} -fPIC"  LDFLAGS="%{?__global_ldflags}"

%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man1
make install DESTDIR=%{buildroot} INSTALL_STRIP=


%files
%license LICENCE
%{_bindir}/%{name}
%{_bindir}/kwalletaskpass
%{_bindir}/kwalletcli_getpin
%{_bindir}/pinentry-kwallet
%{_mandir}/man1/*.1*


%changelog
* Mon Apr 15 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.03-1
- initial build
